CREATE TABLE edge ( page int not null, sound varchar(255) not null, x float not null, y float not null, width float not null, height float not null );
CREATE index edge_index on edge ( page, sound collate nocase );
CREATE TABLE link ( page int not null, goto int not null, x float not null, y float not null, width float not null, height float not null );
CREATE TABLE word ( page int not null, sound varchar(255) not null, japanese varchar(255) not null, alien varchar(255) not null, ruby not null, primary key ( page, sound ) );
CREATE index word_japanese on word ( japanese );
CREATE TABLE catalog ( section int not null, page int not null, caption varchar(255) not null, image varchar(255), primary key ( section, page ) );
CREATE TABLE page ( page int not null, image varchar(255) not null, primary key ( page ) );
CREATE TABLE glossary ( idx int not null, kana varchar(255) not null, japanese varchar(255) not null, alien varchar(255) not null, ruby varchar(255) not null );
CREATE index glossary_japanese on glossary ( japanese );
CREATE TABLE japanese ( idx int not null, kana varchar(255) not null, primary key ( idx ) );
CREATE TABLE session ( skey varchar(255), sval varchar(255), primary key ( skey ) );
CREATE TABLE favorite ( unixtime int, page int, sound varchar(255), primary key ( page, sound ) );
